Neutron Mellanox plugin package is missing

Bug #1255420 reported by Itzik Brown on 2013-11-27
4
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Medium
Unassigned
neutron (Ubuntu)
Medium
James Page
Trusty
Medium
James Page

Bug Description

Hi,

It seems that python-neutron package has the code for the plugin but there is no package containing the configuration file for the plugin /etc/neutron/plugins/mlnx/mlnx_conf.ini.

Related branches

Changed in cloud-archive:
status: New → Confirmed
James Page (james-page) wrote :

That configuration file can be found in neutron-plugin-mlnx-agent:

dpkg -c neutron-plugin-mlnx-agent_1%3a2013.2-0ubuntu1_all.deb
drwxr-xr-x root/root 0 2013-10-17 17:13 ./
drwxr-xr-x root/root 0 2013-10-17 17:13 ./etc/
drwxr-xr-x root/root 0 2013-10-17 17:13 ./etc/neutron/
drwxr-xr-x root/root 0 2013-10-17 17:13 ./etc/neutron/plugins/
drwxr-xr-x root/root 0 2013-10-17 17:13 ./etc/neutron/plugins/mlnx/
-rw-r--r-- root/root 1816 2013-10-17 15:01 ./etc/neutron/plugins/mlnx/mlnx_conf.ini
drwxr-xr-x root/root 0 2013-10-17 17:13 ./etc/init/
-rw-r--r-- root/root 517 2013-10-17 15:55 ./etc/init/neutron-plugin-mlnx-agent.conf
drwxr-xr-x root/root 0 2013-10-17 17:13 ./usr/
drwxr-xr-x root/root 0 2013-10-17 17:13 ./usr/share/
drwxr-xr-x root/root 0 2013-10-17 17:13 ./usr/share/doc/
drwxr-xr-x root/root 0 2013-10-17 17:14 ./usr/share/doc/neutron-plugin-mlnx-agent/
-rw-r--r-- root/root 1418 2013-10-17 15:55 ./usr/share/doc/neutron-plugin-mlnx-agent/copyright
drwxr-xr-x root/root 0 2013-10-17 17:13 ./usr/bin/
-rwxr-xr-x root/root 187 2013-10-17 17:13 ./usr/bin/neutron-mlnx-agent
lrwxrwxrwx root/root 0 2013-10-17 17:14 ./usr/share/doc/neutron-plugin-mlnx-agent/NEWS.Debian.gz -> ../python-neutron/NEWS.Debian.gz
lrwxrwxrwx root/root 0 2013-10-17 17:14 ./usr/share/doc/neutron-plugin-mlnx-agent/changelog.Debian.gz -> ../python-neutron/changelog.Debian.gz

Is there a neutron-server side aspect to this plugin as well? its not one we test or use in OpenStack CI for Ubuntu.

Changed in cloud-archive:
status: Confirmed → Incomplete
Itzik Brown (itzikb1) wrote :

I think that it's no different from other plugins.
The configuration indeed is in the agent package but it should also be part of the plugin package. One doesn't need to install the agent package on a node that only have the neutron server.

Itzik Brown (itzikb1) on 2013-12-10
Changed in cloud-archive:
status: Incomplete → Confirmed
James Page (james-page) on 2014-03-14
Changed in cloud-archive:
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in neutron (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → Medium
James Page (james-page) on 2014-03-18
Changed in neutron (Ubuntu Trusty):
assignee: nobody → James Page (james-page)
status: Triaged → In Progress
James Page (james-page) on 2014-03-18
Changed in neutron (Ubuntu Trusty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1~rc1-0ubuntu1

---------------
neutron (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * debian/rules: Run testr init before tests.
  * debian/patches/disable-udev-tests.patch: Refresh.
  * d/control,neutron-plugin-oneconvergence*: Add One Convergence plugin
    and agent (LP: #1293632).

  [ James Page ]
  * New upstream release candidate (LP: #1288696, #1291535).
  * d/control,neutron-mlnx-plugin{-agent}.install: Split out Mellanox
    plugin configuration from agent package (LP: #1255420).
  * d/control,neutron-{plugin-}{vpn|metering}-agent.*: Drop -plugin from
    metering and vpn agents (they are not plugins) and deal with associated
    change in name of upstart configurations.
  * d/neutron-l3-agent.{install,upstart}: Install fwaas_driver.ini with
    l3-agent and add to config-file path in upstart configuration
    (LP: #1298676).
  * d/neutron-vpn-agent.upstart,control: Include l3_agent.ini on upstart
    config-file path, add dependency on neutron-l3-agent (LP: #1298675).
 -- James Page <email address hidden> Tue, 01 Apr 2014 16:22:54 +0100

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
James Page (james-page) on 2015-03-24
Changed in cloud-archive:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers